<?php
require'fun.php';
$email=$_POST['email']??'';
$titlu='Salvează e-mail';
$back[1]='<a href="/setari">'.img('setari.png',2).'Setări</a>';
require'f_sus.php';
require'f_mut.php';
if($pmtext!=$email)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Adresele de e-mail nu se potrivesc!';
elseif(!preg_match('/^[a-z0-9._%-]+@[a-z0-9._%-]+\.[a-z]{2,6}$/i',$pmtext))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Adresa de e-mail invalida!<br />Adresa de e-mail trebuie să fie de forma: nume_complet@'.$adresasite[3].', iar în loc de '.$adresasite[3].', se folosește un alt producator de e-mail!';
else
{
$did=md5(nume($de,1).$de.$_SERVER['REQUEST_TIME']);
$conn->query('INSERT INTO`recupereaza`SET`pid`="'.$did.'",`de`="'.$de.'",`email`="'.$email.'",`tip`="1",`data`="'.$_SERVER['REQUEST_TIME'].'"');
mail($email,'Confirmare adresa de e-mail pentru '.nume($de,1).'

','A fost adăugată aceasta adresa de e-mail pe site-ul '.$adresasite[1].'
Pentru a confirma aceasta adresa de e-mail, apasa pe urmatorul link

'.$adresasite[0].'/recupereaza/tip/'.$did.'

Daca nu îți apare ca link, copiaza-l și lipeste link-ul în browser-ul tau!



Daca numele de utilizator '.nume($de,1).' nu este al tau, te rugam sa ignori acest mesaj!

Acest link este valabil doar 24 de ore, apoi va expira.

Îți mulțumim, administratorii '.$adresasite[1].'
'.$text_final.'
','From: '.$conn->query('SELECT`valoare`FROM`setari`WHERE`nume`="email_admin"')->fetch_row()[0]);
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai initializat procesul de confirmare al adresei de e-mail <strong>'.$pmtext.'</strong>, pentru a-l finaliza, va trebui sa confirmi ca aceasta adresă îți apartine!<br />Pentru a confirma aceasta adresa de e-mail, trebuie să urmezi instructiunile primite prin e-mail!<br />Daca mesajul nu ajunge în inbox, verifica și în folderul cu mesaje de tip spam!';
}
echo$div[0];
require'f_jos.php';